import React, { useState } from 'react';
import styled from 'styled-components';
import SearchIcon from '@material-ui/icons/Search';
import IconButton from '@material-ui/core/IconButton';
import OutlinedInput from '@material-ui/core/OutlinedInput';
import InputAdornment from '@material-ui/core/InputAdornment';
import FormControl from '@material-ui/core/FormControl';

export default function SearchInput(props) {
	const [text, setText] = useState(props.stdin);

	const handleChange = (event) => {
		setText(event.target.value);
	}

	const handleClickSearch = () => {
		props.search(text);
	}

	return (
		<Wrapper>
			<FormControl variant="outlined" style={{width: '100%'}}>
				<OutlinedInput
					type="text"
					value={text}
					onChange={handleChange}
					endAdornment={
						<InputAdornment position="end">
							<IconButton
								onClick={handleClickSearch}
								edge="end"
							>
								<SearchIcon />
							</IconButton>
						</InputAdornment>
					}
				/>
			</FormControl>
		</Wrapper>
	);
}
const Wrapper=styled.div`
	background-color: white;
	border-radius: 5px;
	margin: 20px;	

`
